package seal_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type SealPhysicsEnableRequest struct {
	// 【启用/停用】false(0)：停用；true(1)：启用
	Enable string `json:"enable"`
	// 【印章ID】印章ID（sealId、sealName、sealCategoryName至少填写一个）
	SealId *int64 `json:"sealId"`
	// 【印章名称】印章名称（sealId、sealName、sealCategoryName至少填写一个）
	SealName string `json:"sealName,omitempty"`
	// 【印章类型】印章类型 【说明】 ①参考电子签约签署平台“印章类型设置”中的类型 ②sealId、sealName、sealCategoryName至少填写一个 ③使用印章类型查询印章时需同时传入印章所属法人单位信息
	SealCategoryName string `json:"sealCategoryName,omitempty"`
	// 【印章所属法人单位信息】印章所属法人单位信息 【传参方式】字符串中的字段信息可参考单位公共请求CompanyRequest 【说明】当使用印章类型查询印章时，需传入此参数，用于确定可选的印章类型范围；若不传，则默认使用平台方可用的印章类型范围。
	Company string `json:"company,omitempty"`
}

func (obj SealPhysicsEnableRequest) GetUrl() string {
	return "/seal/physics/enable"
}

func (obj SealPhysicsEnableRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	parameter.AddParam("enable", obj.Enable)
	parameter.AddParam("sealId", obj.SealId)
	parameter.AddParam("sealName", obj.SealName)
	parameter.AddParam("sealCategoryName", obj.SealCategoryName)
	parameter.AddParam("company", obj.Company)
	return parameter
}
